Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

bolt does not install #4863

Closed
vzaliva opened this issue Sep 20, 2015 · 1 comment
Closed

bolt does not install #4863

vzaliva opened this issue Sep 20, 2015 · 1 comment

Comments

@vzaliva
Copy link
Contributor

@vzaliva vzaliva commented Sep 20, 2015

$ opam install bolt
The following actions will be performed:
  ∗  install bolt 1.4

=-=- Gathering sources =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=  🐫
[bolt] Archive in cache

=-=- Processing actions -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=  🐫
[ERROR] The compilation of bolt failed at "make all".
Processing  1/1: [bolt: ocamlfind remove]
#=== ERROR while installing bolt.1.4 ==========================================#
# opam-version 1.2.2
# os           darwin
# command      make all
# path         /Users/lord/.opam/system/build/bolt.1.4
# compiler     system (4.02.2)
# exit-code    2
# env-file     /Users/lord/.opam/system/build/bolt.1.4/bolt-1216-d0f245.env
# stdout-file  /Users/lord/.opam/system/build/bolt.1.4/bolt-1216-d0f245.out
# stderr-file  /Users/lord/.opam/system/build/bolt.1.4/bolt-1216-d0f245.err
### stdout ###
# [...]
# File "_tags", line 27, characters 19-27:
# Warning: the tag "warnings" is not used in any flag or dependency declaration, so it will have no effect; it may be a typo. Otherwise you can use `mark_tag_used` in your myocamlbuild.ml to disable this warning.
# /opt/local/bin/ocamldep.opt -pp /opt/local/bin/camlp4of -modules src/syntax/bolt_pp.ml > src/syntax/bolt_pp.ml.depends
# + /opt/local/bin/ocamldep.opt -pp /opt/local/bin/camlp4of -modules src/syntax/bolt_pp.ml > src/syntax/bolt_pp.ml.depends
# sh: /opt/local/bin/camlp4of: No such file or directory
# File "src/syntax/bolt_pp.ml", line 1:
# Error: Error while running external preprocessor
# Command line: /opt/local/bin/camlp4of 'src/syntax/bolt_pp.ml' > /var/folders/hh/h6kt24208xj44z0059_xd9rh0000gs/T/ocamlppf1332b
#
# Command exited with code 2.
### stderr ###
# make: *** [all] Error 10



=-=- Error report -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=  🐫
The following actions failed
  ∗  install bolt 1.4
No changes have been performed
@vzaliva
Copy link
Contributor Author

@vzaliva vzaliva commented Sep 28, 2015

it was system ocaml installation issue, now resolved.

@vzaliva vzaliva closed this Sep 28, 2015
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Labels
None yet
Projects
None yet
Linked pull requests

Successfully merging a pull request may close this issue.

None yet
1 participant